Bug 1273154 - RFE: Remove Nagios version check warning messages
Summary: RFE: Remove Nagios version check warning messages
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: nagios
Version: rawhide
Hardware: All
OS: All
unspecified
low
Target Milestone: ---
Assignee: Keiran Smith
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-10-19 18:53 UTC by fedora.dm0
Modified: 2019-02-02 00:39 UTC (History)
8 users (show)

Fixed In Version: nagios-4.4.3-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-02-02 00:39:32 UTC


Attachments (Terms of Use)
Don't display warnings about upstream Nagios version when using Fedora's RPM (1.13 KB, patch)
2015-10-19 18:53 UTC, fedora.dm0
no flags Details | Diff

Description fedora.dm0 2015-10-19 18:53:23 UTC
Created attachment 1084488 [details]
Don't display warnings about upstream Nagios version when using Fedora's RPM

Description of problem:
This is a minor cosmetic change request, but currently the main page of the Nagios web application always displays a big message that a new version is available (with both in the stable version 3 RPMs and the testing version 4 RPMs).  If admins disable the option to check for new upstream versions because they're using the latest RPM, a red warning message is displayed instead.  It should be possible to disable upstream version notifications without seeing warnings when installing the Fedora Nagios RPM.

Version-Release number of selected component (if applicable):
4.0.8 (current Fedora Git master)

How reproducible:
Always

Steps to Reproduce:
1. Look at the main page.

Actual results:
Users see a big blue notice that their Nagios version is out of date if update checks are enabled, otherwise they see a big red warning that update checks are disabled.

Expected results:
If a Fedora/EPEL admin disables the upstream version check knowing that the system-managed Nagios RPM is up to date, users should not see warnings on the main page.

Additional info:
An example patch is attached that removes the warning message and disables update checks by default, which would be nice to carry in the downstream packages.  (The second part could be dropped if it's an undesirable default for the RPM.)

Comment 1 Fedora Admin XMLRPC Client 2017-01-20 16:51:26 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 2 Fedora Admin XMLRPC Client 2017-01-20 16:59:11 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 3 Stephen John Smoogen 2017-09-21 20:31:23 UTC
This looks to be done in the latest nagios that they now just have a 'click to see if you are up2date' versus checking'

Comment 4 Fedora Update System 2018-07-25 00:53:01 UTC
nagios-4.3.4-13.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-41e9ecf98a

Comment 5 Fedora Update System 2018-07-25 19:52:31 UTC
nagios-4.3.4-13.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-41e9ecf98a

Comment 6 Fedora Update System 2018-07-26 11:50:05 UTC
nagios-4.3.4-13.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-41e9ecf98a

Comment 7 Fedora Update System 2018-11-30 19:58:56 UTC
nagios-4.4.2-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-0346a55d0f

Comment 8 Fedora Update System 2018-12-01 01:55:30 UTC
nagios-4.4.2-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-0346a55d0f

Comment 9 Fedora Update System 2019-01-17 00:14:54 UTC
nagios-4.4.3-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-d661b588d2

Comment 10 Fedora Update System 2019-01-18 01:00:36 UTC
nagios-4.4.3-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2019-d661b588d2

Comment 11 Fedora Update System 2019-02-02 00:39:32 UTC
nagios-4.4.3-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.